import { useEffect, useState } from "react";
import "./pv.less";
import { SnippetsTwoTone } from "@ant-design/icons";
import { inject, observer } from "mobx-react";
import { Store } from "antd/es/form/interface";
import PvTable from "./pvTable";
import PoverDetail from "../poverDetail";
const PoverPage = (props: Store) => {
  const { usrStore } = props;
  const [poverData, setPover] = useState<any>();
  useEffect(() => {
    usrStore.getPover().then((e) => {
      setPover(e.data);
    });
  }, [usrStore]);
  const serch = (configs) => {
    usrStore.getPoverList(configs);
  };
  return (
    <div
      style={{
        width: "100%",
        height: "100%",
        display: "flex",
        alignContent: "space-between",
      }}
    >
      <div className="nav-header">
        <div className="pv-head-item">
          <SnippetsTwoTone style={{ fontSize: 30 }} />
          <div
            onClick={() => {
              serch({
                o_type: "01JAZB1GVJED5R34V6Z8MBWER4",
                size: 30,
                offset: 1,
              });
            }}
          >
            <div>{poverData?.o_types}人</div>
            <span>机关单位</span>
          </div>
        </div>
        <div style={{ height: "10px" }}></div>
        <div className="pv-head-item">
          <SnippetsTwoTone style={{ fontSize: 30 }} />
          <div
            onClick={() => {
              serch({
                o_type: "01JAZAZDTHJE8FZ24GY9AJ758N",
                size: 30,
                offset: 1,
              });
            }}
          >
            <div>{poverData?.o_type}人</div>
            <span>企事业单位</span>
          </div>
        </div>
        <div style={{ height: "10px" }}></div>
        <div className="pv-head-item">
          <SnippetsTwoTone style={{ fontSize: 30 }} />
          <div
            onClick={() => {
              serch({
                o_type: "01JAZB1QSM13C7PHZBTSDE1VXE",
                size: 30,
                offset: 1,
              });
            }}
          >
            <div>{poverData?.news_num}人</div>
            <span>新兴领域</span>
          </div>
        </div>
      </div>
      <div className="nav-content">
        <div
          className="content-left"
          onClick={(e) => {
            usrStore.setPoverDe(false);
          }}
        >
          <div
            className="pv-head-item"
            onClick={(e) => {
              serch({
                militia_type: 1,
                size: 30,
                offset: 1,
              });
            }}
          >
            <SnippetsTwoTone style={{ fontSize: 30 }} />
            <div>
              <div>{poverData?.militia_meber}人</div>
              <span>基干民兵</span>
            </div>
          </div>
          <div className="pv-head-item">
            <SnippetsTwoTone style={{ fontSize: 30 }} />
            <div
              onClick={() => {
                serch({
                  militia_type: 2,
                  size: 30,
                  offset: 1,
                });
              }}
            >
              <div>{poverData?.easy_meber}人</div>
              <span>普通民兵</span>
            </div>
          </div>
          <div className="pv-head-item">
            <SnippetsTwoTone style={{ fontSize: 30 }} />
            <div
              onClick={() => {
                serch({
                  vet: 1,
                  size: 30,
                  offset: 1,
                });
              }}
            >
              <div>{poverData?.vet_meber}人</div>
              <span>退役军人</span>
            </div>
          </div>
          <div className="pv-head-item">
            <SnippetsTwoTone style={{ fontSize: 30 }} />
            <div
              onClick={() => {
                serch({
                  grid_user: 1,
                  size: 30,
                  offset: 1,
                });
              }}
            >
              <div>{poverData?.grid_meber}人</div>
              <span>网格员</span>
            </div>
          </div>
        </div>

        <div className="content-right">
          <p style={{ margin: 0, fontSize: "20px", marginBottom: "10px" }}>
            双流区黄水镇人民武装部基干民兵力量
          </p>
          {usrStore.poverDetail ? <PoverDetail /> : <PvTable />}
        </div>
      </div>
    </div>
  );
};

export default inject("usrStore")(observer(PoverPage));
